# Uses of Class
org.apache.cxf.BusException

Packages that use BusException
Package
Description
org.apache.cxf.binding
org.apache.cxf.bus.managers
org.apache.cxf.endpoint
org.apache.cxf.transport

- ## Uses of BusException in org.apache.cxf.binding

  Methods in org.apache.cxf.binding that throw BusException
  Modifier and Type
  Method
  Description
  `BindingFactory`
  BindingFactoryManager.`getBindingFactory(String name)`
  Retrieves the BindingFactory registered with the given name.

- ## Uses of BusException in org.apache.cxf.bus.managers

  Methods in org.apache.cxf.bus.managers that throw BusException
  Modifier and Type
  Method
  Description
  `BindingFactory`
  BindingFactoryManagerImpl.`getBindingFactory(String namespace)`
  `ConduitInitiator`
  ConduitInitiatorManagerImpl.`getConduitInitiator(String namespace)`
  Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
  `DestinationFactory`
  DestinationFactoryManagerImpl.`getDestinationFactory(String namespace)`
  Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.

- ## Uses of BusException in org.apache.cxf.endpoint

  Methods in org.apache.cxf.endpoint that throw BusException
  Modifier and Type
  Method
  Description
  `protected abstract Endpoint`
  AbstractEndpointFactory.`createEndpoint()`
  Constructors in org.apache.cxf.endpoint that throw BusException
  Modifier
  Constructor
  Description
  ``
  `ServerImpl(Bus bus, Endpoint endpoint, DestinationFactory destinationFactory, BindingFactory bindingFactory)`

- ## Uses of BusException in org.apache.cxf.transport

  Methods in org.apache.cxf.transport that throw BusException
  Modifier and Type
  Method
  Description
  `ConduitInitiator`
  ConduitInitiatorManager.`getConduitInitiator(String name)`
  Returns the `ConduitInitiator` registered with the specified name, loading the appropriate plugin if necessary.
  `DestinationFactory`
  DestinationFactoryManager.`getDestinationFactory(String name)`
  Returns the `DestinationFactory` registered with the specified name, loading the appropriate plugin if necessary.